| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | List of all members
Tp::Service::DebugAdaptor Class Reference
Service-side implementation » Connection manager service implementation

`#include <TelepathyQt/_gen/svc-debug.h>`

Inheritance diagram for Tp::Service::DebugAdaptor:
[legend]

## Public Slots

Tp::DebugMessageList | GetMessages (const QDBusMessage &dbusMessage)

## Signals

void | NewDebugMessage (double time, const QString &domain, uint level, const QString &message)

## Public Member Functions

bool | Enabled () const
void | SetEnabled (const bool &newValue)
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Debug".

## Member Function Documentation

## § Enabled()

bool Tp::Service::DebugAdaptor::Enabled | ( |  | ) | const

Return the value of the exported D-Bus object property `Enabled` of type `bool`.

Adaptees should export this property as a Qt property named 'enabled' with type bool.

TRUE if the NewDebugMessage signal should be emitted when a new debug message is generated.

Returns
  The value of exported property `Enabled`.

## § SetEnabled()

void Tp::Service::DebugAdaptor::SetEnabled | ( | const bool & | newValue | ) |

Set the value of the exported D-Bus object property `Enabled` of type `bool`.

Adaptees should export this property as a writable Qt property named 'enabled' with type bool.

TRUE if the NewDebugMessage signal should be emitted when a new debug message is generated.

## § GetMessages

Tp::DebugMessageList Tp::Service::DebugAdaptor::GetMessages | ( | const QDBusMessage & | dbusMessage | ) |

slot

Begins a call to the exported D-Bus method `GetMessages` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getMessages(const Tp::Service::DebugAdaptor::GetMessagesContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Retrieve buffered debug messages. An implementation could have a limit on how many message it keeps and so the array returned from this method should not be assumed to be all of the messages in the lifetime of the service.

Returns

      A list of debug messages.

## § NewDebugMessage

void Tp::Service::DebugAdaptor::NewDebugMessage | ( | double | time,
|  | const QString & | domain,
|  | uint | level,
|  | const QString & | message
| ) |  |

signal

Represents the exported D-Bus signal `NewDebugMessage` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void newDebugMessage(double time, const QString& domain, uint level, const QString& message);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  time

      Timestamp of the debug message.

  domain

      Domain of the debug message, as described in the Debug_Message
      struct.

  level

      Level of the debug message.

  message

      The text of the debug message.